## org.jfree.chart.urls
Interface CategoryURLGenerator

All Known Implementing Classes:
  StandardCategoryURLGenerator

public interface CategoryURLGenerator

A URL generator for items in a `CategoryDataset`.

Author:
  Richard Atkinson

Method Summary
`java.lang.Object` `clone()` Returns an independent copy of the URL generator.
`java.lang.String` `generateURL(CategoryDataset data, int series, int category)` Returns a URL for one item in a dataset.

Method Detail

### generateURL

    public java.lang.String generateURL(CategoryDataset data,
                                        int series,
                                        int category)

  Returns a URL for one item in a dataset.

  Parameters:
    `data` - the dataset.
    `series` - the series (zero-based index).
    `category` - the category.
  Returns:
    a string containing the URL.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns an independent copy of the URL generator.

  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if the generator does not support cloning.